Qt 5.6 | Qt D-Bus | C++ Classes | QDBusSignature

Qt 5.6.2 Reference Documentation

# QDBusSignature Class

The QDBusSignature class enables the programmer to identify the SIGNATURE type provided by the D-Bus typesystem. More...

Header: | #include <QDBusSignature>
qmake: | QT += dbus
Since: | Qt 4.2

- List of all members, including inherited members

## Public Functions

| QDBusSignature()
| QDBusSignature(const char *signature)
| QDBusSignature(QLatin1String signature)
| QDBusSignature(const QString &signature)
| QDBusSignature(QString &&sig)
void | setSignature(const QString &signature)
QString | signature() const
void | swap(QDBusSignature &other)

## Detailed Description

The QDBusSignature class enables the programmer to identify the SIGNATURE type provided by the D-Bus typesystem.

See also The Qt D-Bus Type System.

## Member Function Documentation

### QDBusSignature::QDBusSignature()

Constructs a new signature.

See also setSignature().

### QDBusSignature::QDBusSignature(const char *signature)

Constructs a new signature from the given signature.

### QDBusSignature::QDBusSignature(QLatin1String signature)

Constructs a new signature from the given signature.

### QDBusSignature::QDBusSignature(const QString &signature)

Constructs a new signature from the given signature.

### QDBusSignature::QDBusSignature(QString &&sig)

Default constructs an instance of QDBusSignature.

### void QDBusSignature::setSignature(const QString &signature)

Assigns the value of the given signature to this signature.

See also signature().

### QString QDBusSignature::signature() const

Returns this signature.

See also setSignature().

### void QDBusSignature::swap(QDBusSignature &other)